package com.dji.sample.manage.service;


import com.dji.sample.manage.model.dto.CapacityCameraDTO;
import com.dji.sample.manage.model.entity.DeviceCameraEntity;

import java.util.List;

/**
 * @author huiqing.jiang
 * @date 2024/11/22
 * @version 0.1
 */
public interface IDeviceCameraService {

    void saveDeviceCamera(List<CapacityCameraDTO> list, String deviceSn);

    void save(DeviceCameraEntity entity);

    void delete(String deviceSn);

    List<CapacityCameraDTO> selCameraListByDeviceSn(String deviceSn);
}